---
title: 性能指标
---

Solana群集性能的衡量标准是网络可以维持的每秒平均交易数\(TPS\)。 并且，交易需要多长时间才能由群集的大多数\(确认时间\) 确认。

每个群集节点都维护各种计数器，它们随着某些事件增加。 这些计数器会定期上传到一个云数据库。 Solana的指标仪表板获取这些计数器，并计算性能指标，将其显示在仪表板上。

## TPS

每个节点库运行时都维护一个已处理的交易计数。 仪表板首先计算集群中所有启用了指标的节点之间的交易中位数。 然后将中位数集群交易计数在2秒的时间段内取平均值，并显示在TPS时间序列图中。 仪表板还显示了TPS均值、最大TPS和总交易计数统计信息，这些统计信息都是根据交易次数的中位数计算得出的。

## 确认时间

每个验证器节点都维护一个可见的活跃账本分叉列表。 当节点已接收并处理了与该分叉相对应的所有条目时，该分叉被视为冻结。 当分叉获得了累积的绝大多数投票，并且其中一个子分叉被冻结时，该分叉将被视为已确认。

节点为每个新的分叉分配一个时间戳，并计算确认分叉所花费的时间。 此时间在性能指标中即为验证节点确认时间。 性能仪表板将每个验证节点的确认时间的平均值显示为时间序列图。

## 硬件设置

验证节点软件已部署到配有1TB pd-ssd磁盘和2x Nvidia V100 GPU的GCP n1-standard-16实例。 它们部署在us-west-1地区。

solana-bench-tps从网络在配有n1-standard-16 CPU实例的客户机的网络收敛之后开始计算，该客户机参数如下： `--tx\_count=50000 --thread-batch-sleep 1000`

在bench-tps重新开始阶段的5分钟内，TPS和确认时间指标从仪表板编号中获取。
