---
title: 发展历史
---

2017年11月，Anatoly Yakovenko发布了一份白皮书，描述了历史证明，一种在彼此不信任的计算机之间保持时间同步的技术。 根据Anatoly在Qualcomm、Mesosphere和Dropbox上设计分布式系统的先前经验，他知道可靠的时钟可使网络同步变得非常简单。 如果同步很简单，那么生成的网络将很快受到限制，仅受网络带宽限制。

Anatoly深刻地见识了没有时钟的区块链系统，例如比特币和以太坊。账本在全球范围内难以扩展到每秒15笔交易以上，而Visa等中心化支付系统需要达到65,000账本tps的峰值。 很明显，如果没有一个时钟，永远都不会成就他们梦寐以求的全球支付系统或全球超级计算机。 当Anatoly解决了让彼此不信任的计算机按时达成协议的问题时，他拥有的将40年分布式系统研究，是带入区块链世界的关键武器。 账本最终的集群将提高速度到10倍，100倍或1000倍，甚至10,000倍！

Anatoly的操作开始于私有代码库，并以C编程语言实现。 Greg Fitzgerald以前曾在半导体巨头高通公司（Qualcomm Incorporated）与Anatoly合作，他鼓励他用Rust编程语言重新实现该项目。 Greg致力于LLVM编译器基础结构，该基础结构是Clang C/C++编译器和Rust编译器的基础。 Greg声称该语言的安全保证将提高软件生产效率，并且缺少垃圾收集器将使该程序能够像用C编写的程序一样完美执行。Anatoly试了一下，仅两周后，他就将整个代码库迁移到了Rust。 成功了！ 这个计划将全球所有交易整合到一个可扩展的单个区块链中，Anatoly称其为Loom项目。

在2018年2月13日，Greg开始对Anatoly的白皮书的第一个开源执行进行原型设计。 该项目已在织机组织中以Silk的名称发布到GitHub。 2月28日，Greg发布了他的第一个版本，演示了将在短短半秒钟内完成1万笔已签名交易的验证和处理。 不久之后，另一位前高通的研究人员Stephen Akridge展示了通过将签名验证卸载到图形处理器上可以大大提高吞吐量。 Anatoly招募了Greg、Stephen和其他三个人，共同创立了一家公司，当时名为Loom。

大约在同一时间，基于以太坊的项目织机网络，如雨后春笋般涌现，许多人对于他们是否属于同一项目感到困惑。 织机团队决定将其品牌重塑。 他们选择了Solana这个名字来表示对圣地亚哥北部一个名为Solana Beach的海滩小镇的怀念。Anatoly，Greg和Stephen在高通公司工作的时候在那里生活和冲浪了三年。 3月28日，该团队创建了Solana Labs GitHub组织，并将Greg的原型Silk重命名为Solana。

在2018年6月，该团队扩大了该技术的运行范围，使其可以基于云网络运行，并于7月19日发布了一个50节点，经过许可的公共测试网，该网络始终支持每秒250,000次交易。 在12月发布的名为v0.10 Pillbox的更高版本中，该团队发布了一个许可的测试网，该测试网在千兆位网络上运行150个节点，并演示了浸泡测试，该测试每秒处理_平均_20万笔事务，突发次数超过50万笔。 该项目还得到扩展，以支持用C编程语言编写的链上程序，并在称为BPF的安全执行环境中并行运行。
