---
title: SolFlare 网页钱包
---

## 介绍

[SolFlare.com](https://solflare.com/) 是一个社区开发，专门为Solana打造的网页钱包。 SolFlare支持发送和接收原生SOL代币以及SPL代币(类似于Solana的ERC-20格式代币)。 另外，SolFlare还支持SOL代币的质押。

作为一个 _非托管_ 钱包，SolFlare网站本身不存储您的私钥，私钥存储在加密的 [Keystore 文件](#using-a-keystore-file) 或 [Ledger Nano S 或 X 硬件钱包](#using-a-ledger-nano-hardware-wallet) 中。

本指南介绍了使用SolFlare设置钱包、发送和接收SOL代币以及创建和管理质押账户等。

## 准备工作

在支持的浏览器中打开https://www.solflare.com。  大多数流行的网页浏览器都能与Keystore 文件进行交互，但与Ledger Nano交互时目前仅支持Chrome和Brave。

### 使用 Keystore 文件

#### 创建一个新的 Keystore 文件
要使用密钥库文件创建钱包，请单击“创建钱包”，然后选择“使用 Keystore 文件”。  按照提示创建密码，该密码将用于加密 Keystore 文件，然后将新文件下载到您的计算机。  系统将提示您将 Keystore 文件上传到网站，来验证下载是否已正确保存。

**请注意：如果丢失了Keystore文件或配套登录的密码，该钱包中的所有资金将永久丢失。  Solana团队和SolFlare开发人员都无法帮助您恢复丢失的密钥。**

您可能需要将Keystore文件的备份副本保存在主计算机以外的外部驱动器上，并将密码存储在独立的位置。

#### 使用Keystore文件访问您的钱包
要将SolFlare与先前创建的Keystore文件一起使用，请单击“访问钱包”，然后选择“使用Keystore文件”。  如果您刚刚创建了新的Keystore文件，则将直接进入“访问”页面。 系统将提示您输入密码并上传您的Keystore文件，然后转到钱包界面的主页。

### 使用Ledger Nano硬件钱包

*注意：请查看目前在 Nano中出现的 [已知问题](ledger-live.md#known-issues)。*

#### 初始设备设置
要通过 SolFlare 配合使用 Ledger Nano，首先确认您已经在设备上 [设置了您的 Nano](ledger-live.md) 并安装了 [ 最新版本的 Solana 应用程序](ledger-live.md#upgrade-to-the-latest-version-of-the-solana-app)。

#### 选择一个访问账号地址
插入你的 Nano 并打开 Solana 应用，这时候设备屏幕显示"应用准备就绪"。

从 SolFlare 主页，点击“访问一个钱包”，然后选择"使用 Ledger Nano S | Ledger Nano X"。  在“选择派生路径”下，选择唯一的选项：

``Solana - 44`/501`/``

注意：您的浏览器可能会提示您询问 SolFlare 是否可以与您的 Ledger 设备通信。  请点击允许此操作。

从下拉框选择要交互的地址，然后点击“访问”。

Ledger设备可以生成大量私钥和相关的公共地址。 这允许您管理和交互来自同一设备的多个不同帐户。

如果您将资产存入 Ledger 设备派生的地址，请确保在使用 SolFlare 时访问相同的地址，以便能够访问这些资产。  如果连接到错误的地址，只需单击注销并使用正确的地址重新连接。

## 选择一个网络

Solana维护着[三个不同的网络](../clusters)，每个网络都有不同的目的，支持着Solana生态。  默认情况下，在 SolFlare 上选择的是 Mainnet Beta，这是部署交易和其他生产应用的永久网络。  要选择其他网络，请在钱包仪表板顶部，单击当前选择的网络名称，即“Mainnet”，“Testnet ”或“ Devnet”，然后单击您要使用的网络的名称。

## 发送和接收 SOL 代币

### 接收
要将代币接收到您的钱包中，您必须将一些代币转移到钱包地址。  该地址显示在屏幕的左上角，您可以单击复制图标来复制该地址，并将其提供给向您发送代币的任何人。  如果您将代币存放在其他钱包或交易所中，也可以提现到该地址。  转账完成后，SolFlare上显示的余额应在几秒钟内更新。

### 发送代币
一旦您的钱包地址中有一些代币，您可以通过单击右上角的“ Transfer SOL”将其发送到任何其他钱包地址或兑换存款地址。  输入收件人地址和要转移的 SOL 数量，然后单击“提交”。  在 [使用密钥对交易进行签名](#signing-a-transaction) 之前，系统将提示您确认交易的详细信息，然后将其提交给网络。

## 质押 SOL 代币
SolFlare 支持创建和管理质押账户和委托质押。  要了解 Solana 的通用工作原理，请参阅我们的[Staking 指南](../staking)。

### 创建一个质押账户
您可以使用钱包中的一些SOL代币来创建新的质押账户。 在钱包主页单击顶部的“质押（Staking）”。  在右上角，单击“创建帐户（Create Account）”。  输入您想要用来为新的质押账户转入的SOL金额。  这笔转账将从您的钱包中提取并转入质押账户。  请勿将您的所有钱包余额转移到质押账户，因为该钱包还要支付与质押账户相关的任何交易费用。  请在您的钱包帐户中至少保留1个SOL。

提交并[签名交易](#signing-a-transaction)后，您将看到新的质押账户出现在“您的质押账户”框中。

在SolFlare上创建的质押账户将您的钱包地址设置为新账户的[抵押和提款权限](../staking/stake-accounts#understanding-account-authorities)，这使您的钱包密钥有权签名与新质押账户有关的任何交易。

### 查看您的质押账户
在钱包主页面或质押页面，您的质押账户将显示在“您的质押账户”框中。  质押账户地址和原来的钱包地址是不同的。

SolFlare将在[所选网络](#select-a-network)上找到任何显示所有质押账户的帐户，您的钱包地址已分配给该质押账户作为[质押授权](../staking/stake-accounts#understanding-account-authorities)。 只要在您登录时使用的钱包被指定为质押授权机构，在SolFlare外部创建的质押账户也将显示并可以管理。

### 在一个质押账户委托代币
选择了 [一个验证节点](../staking#select-a-validator) 以后，您可以将某个账户中的代币分配给它们。  从 Staking 仪表板中点击质押账户右侧的“Delegate”。 从下拉列表中选择您想要委托的验证节点，然后点击委托。

要解除委托的代币(也称为停用质押) 的过程类似。  在 Staking 页面的委托质押账户右侧，点击“Undelegate”按钮并按提示操作。

### 拆分一个质押账户
您可以将现有的质押账户拆分成两个账户。  点击钱包控制的密钥账户的地址，并在“Actions”栏下点击"Split"。  指定您想要拆分的 SOL 代币的数量。  这将会导致您新的密钥账户中代币金额和现有质押账户余额减少相同的数量。  拆分您的质押帐户能让您委托不同数量的代币给多个不同的验证节点。 您可以按需要多次拆分一个质押账户，来创建任何数量的质押账户。

## 签名交易
每当您提交一笔交易（例如将代币发送到另一个钱包或委托质押）时，都需要使用私钥对交易进行签名，来让网络接受该交易。

### 使用 Keystore 文件
如果您使用 Keystore 文件访问了钱包，则在每次需要密钥来签署交易时都会提示您输入密码。

### 使用 Ledger Nano 钱包
如果用 Ledger Nano 访问您的钱包，每当您需要密钥签名时，您将看到确认设备上待处理的交易细节的提示。 在 Nano 上，使用左键和右键查看和确认所有交易细节。  如果一切看起来都正确，请单击右键直到屏幕显示“允许”。  同时按下两个按钮来批准交易。 如果出现错误，请再次按右键的“拒绝”，并同时按下两个按钮来拒绝交易。  在您批准或拒绝某笔交易后，您将在 SolFlare 网页看到这一点。
